package com.bonus.material.book.service;

import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.material.book.domain.BookCarInfoDto;
import com.bonus.material.device.domain.vo.DevInfoVo;

import java.util.List;

/**
 * @Author：liang.chao
 * @Date：2024/11/22 - 16:53
 */
public interface BookCarService {

    /**
     * 添加预约车
     * @param bookCarInfoDto
     * @return
     */
    AjaxResult addBookCar(BookCarInfoDto bookCarInfoDto);

    /**
     * 获取预约车详情
     * @param devInfo
     * @return
     */
    AjaxResult getBookCarDetails(BookCarInfoDto devInfo);

    /**
     * 删除预约车
     * @param devInfo
     * @return
     */
    AjaxResult deleteById(BookCarInfoDto devInfo);

    AjaxResult deleteByIds(BookCarInfoDto devInfo);


    /**
     * 获取立即承租详情
     * @param devInfo
     * @return
     */
    AjaxResult getBookCarDetailByMaId(BookCarInfoDto devInfo);
}
